<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
		body{
		margin:0;
		height:100vh;
		width: 100vw;
		display: flex;
		justify-content: center;
		align-items: center;
		overflow: hidden;
	}
	div{
		height:150px;
		width:150px;
		border-radius: 50%;
		position: absolute;
	}
	
	img{
		height: 45vh;
		width: 25vw;
	}
		#coordinates{
		display: flex;
		justify-content: center;
		align-items: center;
		height:100px;
		width: 100px;
 		border-radius: 50%;	
		border:1px solid black;
		padding:10px;
		transform: translate(12px, 40px);
	}
</style>
<body>
	<div id="coordinates"></div>
	<div id="red"><img src="./yellow.png"></div>
	<div id="green"><img src="./cig.png"></div>
	<div id="blue"><img src="./sas.png"></div>
</body>
<script type="text/javascript">
	document.body.addEventListener('mousemove', function(e){
		let x,y,height,width,newX,newY,red,blue,green;
		x=e.clientX;
		y=e.clientY;
		height=window.innerHeight/2;
		width=window.innerWidth/2;
		newX=x-width;
		newY=y-height;
		red=document.getElementById('red');
		blue=document.getElementById('blue');
		green=document.getElementById('green');
		document.getElementById('coordinates').innerHTML= newX + " " + newY;
		red.style.transform ="translate("+ newX * 1 +"px," + newY *1+ "px)"
		blue.style.transform ="translate("+ newY * 2 +"px," + newX *2+ "px)"
		green.style.transform ="translate("+ newX * 3 +"px," + newY *3+ "px)"
	})
</script>
</html>